Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class MuleApplicationClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.mule.module.launcher.GoodCitizenClassLoader
                      org.mule.module.launcher.MuleApplicationClassLoader

    public class MuleApplicationClassLoader

extends GoodCitizenClassLoader

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`GoodCitizenClassLoader.NonCachingURLStreamHandlerFactory`

Field Summary
`protected static URL[]` | `CLASSPATH_EMPTY`
`protected Log` | `logger`
`static String` | `PATH_CLASSES` Classes and resources directory in Mule application.
`static String` | `PATH_LIBRARY` Library directory in Mule application.

Constructor Summary
`MuleApplicationClassLoader(String appName, ClassLoader parentCl)`

Method Summary
`String` | `getAppName()`
`String` | `toString()`

Methods inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`close`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PATH_LIBRARY

    public static final String PATH_LIBRARY

  Library directory in Mule application.

  See Also:
    Constant Field Values

### PATH_CLASSES

    public static final String PATH_CLASSES

  Classes and resources directory in Mule application.

  See Also:
    Constant Field Values

### CLASSPATH_EMPTY

    protected static final URL[] CLASSPATH_EMPTY

### logger

    protected final transient Log logger

Constructor Detail

### MuleApplicationClassLoader

    public MuleApplicationClassLoader(String appName,
                                      ClassLoader parentCl)

Method Detail

### getAppName

    public String getAppName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.